Minimum Browser Requirements for Electronic Services

Our website is best viewed using a browser that supports the capabilities of Microsoft Internet Explorer® 9 or higher, or Firefox 25.0 or higher.

To access the secure areas of our website, such as the Electronic Services section, your browser must support 128-bit encryption and Secure Sockets Layer (SSL) version 2.0 protocol.


You are using a browser that is not fully supported by the Judicial Branch. Please be advised that you may experience unpredictable issues.

Browser: Unknown 0.0

User Agent: CCBot/2.0 (http://commoncrawl.org/faq/)

If your browser does not meet our security requirements:

  • Use one of the following links to upgrade it or to download a high-security browser. We recommend that you use the most recent version of your browser available. (These are direct links to the browser manufacturers' websites. We are not responsible for their content.)
Internet Explorer Download Download Microsoft Internet Explorer.
Internet Explorer Download Download Mozilla Firefox.
Adobe Reader Download Adobe Reader®.
 
 
  • When selecting the software, make sure you choose the right version for your computer's operating system (such as Windows or Macintosh).
     
  • Once you have completed the download, follow the manufacturer's instructions to install the software.


Bottom links

Left Border Include
Procedures and
Technical Standards


Judicial Branch Seal - How to Use Our Site